Engagement
GET /api/analytics/engagement
Curva de retenção por segundo para um item de conteúdo.
Exige analytics.read. Vê Visão geral para os parâmetros partilhados e o âmbito de categoria.
Parâmetros
| Parâmetro | Obrigatório | Descrição |
|---|---|---|
contentId | Sim | Id do vídeo ou id do evento live |
contentType | Não | vod (predefinição) ou live |
from, to | Não | Intervalo ISO 8601 |
maxSeconds | Não | Limitar o comprimento da curva de retenção |
Pedido
curl -X GET "https://app.ignitevideo.cloud/api/analytics/engagement?contentId=VIDEO_ID&contentType=vod" \
-H "Authorization: Bearer YOUR_API_KEY"Resposta
{
"contentType": "vod" | "live",
"contentId": string,
"from": string,
"to": string,
"totalSessions": number,
"retention": [
{
"second": number,
"watched": number,
"reached": number,
"watchedRatio": number,
"reachedRatio": number
},
[...]
]
}